Domov      Nastavenia 
RSS English Slovensky

Zahraničné zdroje
Nahlásené incidenty
1.1.2020 - 31.12.2020
 

Graf

Projekt OpenSSL vydal opravu zraniteľností pre svoju knižnicu zabezpečujúcu šifrovanú komunikáciu

30.03.2021
Projekt OpenSSL vydal opravu chýb pre svoju knižnicu, ktorú využívajú mnohé aplikácie a servery na zabezpečenie dôvernej komunikácie. Objavené zraniteľnosti môže útočník zneužiť na spôsobenie nedostupnosti služby, alebo ohroziť dôvernosť a integritu prenášaných dát šifrovaných protokolom TLS.

 

Dôsledky

  • Nedostupnosť služby
  • Ohrozenie integrity a dôvernosti prenášaných dát

Opis činnosti

CVE-2021-3449 (CVSS 5.9)

Zraniteľnosť umožňujúca útočníkovi spôsobiť nedostupnosť služby nachádzajúcej sa na serveroch, ktoré používajú OpenSSL verzie 1.1.1 s povoleným šifrovaním TLS 1.2 v predvolenej konfigurácii. Útočník by mohol spôsobiť nedostupnosť služby, ak by odoslal serveru opätovne správu ClientHello (napríklad pri nastavení nových parametrov šifrovania), ktorá nebude obsahovať rozšírenie signature_algorithms ako v pôvodnej správe, ale bude obsahovať rozšírenie signature_algorithms_cert. Práve táto zmena môže viesť ku dereferencii nulového ukazovateľa, čo spôsobí nedostupnosť služby. Zraniteľnosť objavili Peter Kästle a Samuel Sapalski zo spoločnosti Nokia.

Riešením zraniteľnosti je nastavenie parametru peer_sigalgslen na hodnotu 0.

CSIRT.SK dodatočne upozorňuje, že používanie protokolov šifrovania TLS 1.1 a starších predstavuje v súčasnosti bezpečnostné riziko. Odporúčame zakázanie protokolov TLS 1.1 a starších na spravovaných serveroch a používanie šifrovania protokolom TLS 1.2 a 1.3.

CVE-2021-3450 (CVSS 7.4)

Chyba v implementácii dodatočnej kontroly certifikátov môže umožniť certifikátu, ktorý nie je certifikátom certifikačnej autority vydávať ďalšie certifikáty, čo je hrozbou pre integritu a dôvernosť prenášaných dát. Príznak X509_V_FLAG_X509_STRICT slúži ako dodatočná prísna kontrola zakazujúca certifikáty prítomné v reťazci, ktoré majú explicitne zakódované parametre eliptickej krivky a teda striktne vyžaduje, aby boli certifikáty overené podľa pravidiel X509. Chybou implementácie je, že po implementovaní predmetnej kontroly bol prepísaný výsledok predchádzajúcej kontroly ktorá potvrdzuje, že certifikáty v reťazci sú platné certifikáty certifikačnej autority. Takto bolo efektívne možné zneužiť a obchádzať kontrolu, či je daný certifikát certifikačnej autority, alebo bežný certifikát so zákazom vydávať ďalšie certifikáty. Zraniteľnosť objavili Benjamin Kaduk a Xiang Ding zo spoločnosti Akamai.

Zraniteľné systémy

  • CVE-2021-3449 Servery využívajúce OpenSSL verzie 1.1.1 až 1.1.1j s povoleným protokolom TLS 1.2 a s povoleným opätovným vyjednávaním spojenia.
  • CVE-2021-3450 Všetky verzie OpenSSL 1.1.1 až do verzie 1.1.1k
  • Zraniteľnosti nemajú dopad na verziu OpenSSL 1.0.2

Závažnosť zraniteľnosti
Vysoká

Možné škody
Únik citlivých informácií
Narušenie dostupnosti systému (DoS)

Odporúčania

  • Aktualizácia knižnice OpenSSL na opravené verzie (aspoň 1.1.1k)
  • Zakázať protokoly pre šifrovanie dát TLS 1.1 a staršie, používať len protokoly TLS 1.2 a 1.3

Odkazy
https://securityaffairs.co/wordpress/115968/security/openssl-flaws-2.html
https://www.bleepingcomputer.com/news/security/openssl-fixes-severe-dos-certificate-validation-vulnerabilities/
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=fb9fa6b51defd48157eeb207f52181f735d96148
https://git.openssl.org/gitweb/?p=openssl.git;a=commit;h=2a40b7bc7b94dd7de897a74571e7024f0cf0d63b



<< zoznam oznámení